# Badges

A collection of all JavaScript related and free for open-source readme badges out there. All of the services are live and operating on this repository's dummy code.

Your favorite service is missing? [Pull Requests welcome](CONTRIBUTING.md).

## Continuous Integration/Deployment

### Codeship
[![Codeship Status for boennemann/badges](https://www.codeship.io/projects/2975f190-646d-0131-452c-7a6d2bba8338/status?branch=master)](https://www.codeship.io/projects/12448)

### Semaphore
[![Build Status](https://semaphoreapp.com/api/v1/projects/d4cca506-99be-44d2-b19e-176f36ec8cf1/128505/shields_badge.svg)](https://semaphoreapp.com/boennemann/badges)
[![Build Status](https://semaphoreapp.com/api/v1/projects/d4cca506-99be-44d2-b19e-176f36ec8cf1/128505/badge.svg)](https://semaphoreapp.com/boennemann/badges)

### TravisCI
[![Build Status](https://travis-ci.org/boennemann/badges.svg?branch=master)](https://travis-ci.org/boennemann/badges)

### Wercker
[![wercker status](https://app.wercker.com/status/9e0bc54c43f48d220aec684fffb2b110/m/master "wercker status")](https://app.wercker.com/project/bykey/9e0bc54c43f48d220aec684fffb2b110)
[![wercker status](https://app.wercker.com/status/9e0bc54c43f48d220aec684fffb2b110/s/master "wercker status")](https://app.wercker.com/project/bykey/9e0bc54c43f48d220aec684fffb2b110)

## Package Information

### Bower
<img src="http://benschwarz.github.io/bower-badges/badge@2x.png" width="130" height="30">

### NodeICO
[![NPM](https://nodei.co/npm/badge-list.svg)](https://nodei.co/npm/badge-list/)

### Semantic Versioning (via Shields.io)
[![Semver](http://img.shields.io/SemVer/2.0.0.png)](http://semver.org/spec/v2.0.0.html)

### Version Badge
[![NPM version](https://badge.fury.io/js/badge-list.svg)](http://badge.fury.io/js/badge-list)
[![GitHub version](https://badge.fury.io/gh/boennemann%2Fbadges.svg)](http://badge.fury.io/gh/boennemann%2Fbadges)
[![Bower version](https://badge.fury.io/bo/badges.svg)](http://badge.fury.io/bo/badges)

## Dependency Status

### David
[![Dependency Status](https://david-dm.org/boennemann/badges.svg)](https://david-dm.org/boennemann/badges)
[![devDependency Status](https://david-dm.org/boennemann/badges/dev-status.svg)](https://david-dm.org/boennemann/badges#info=devDependencies)

[![Dependency Status](https://david-dm.org/boennemann/badges.svg?theme=shields.io)](https://david-dm.org/boennemann/badges)
[![devDependency Status](https://david-dm.org/boennemann/badges/dev-status.svg?theme=shields.io)](https://david-dm.org/boennemann/badges#info=devDependencies)

### VersionEye
[![Dependency Status](https://www.versioneye.com/user/projects/52ddcaabec13750540000106/badge.svg)](https://www.versioneye.com/user/projects/52ddcaabec13750540000106)
[![Bower Dependency Status](https://www.versioneye.com/user/projects/52ebc86aec1375999400003e/badge.svg)](https://www.versioneye.com/user/projects/52ebc86aec1375999400003e)

## Test Coverage

### Codecov
[![codecov.io](https://codecov.io/github/boennemann/badges/coverage.svg?branch=master)](https://codecov.io/github/boennemann/badges?branch=master)
> Features: https://codecov.io/#features  
> Codecov instructions/example for your Language see: https://codecov.io/#languages

### Coveralls
[![Coverage Status](https://coveralls.io/repos/boennemann/badges/badge.svg)](https://coveralls.io/r/boennemann/badges)

### Scrutinizer
[![Code Coverage](https://scrutinizer-ci.com/g/boennemann/badges/badges/coverage.png?s=909c9b9364a927cc44392eda274de31a30b9360b)](https://scrutinizer-ci.com/g/boennemann/badges/)

## Code Quality

### Code Climate
[![Code Climate](https://codeclimate.com/github/boennemann/badges.svg)](https://codeclimate.com/github/boennemann/badges)

### Scrutinizer
[![Scrutinizer Quality Score](https://scrutinizer-ci.com/g/boennemann/badges/badges/quality-score.png?s=35c5476d4b6e6a249399f9f9c205d397f57b1d1c)](https://scrutinizer-ci.com/g/boennemann/badges/)

## Other

### Analytics

#### Bitdeli
[![Bitdeli Badge](https://d2weczhvl823v0.cloudfront.net/boennemann/badges/trend.png)](https://bitdeli.com/free "Bitdeli Badge")

### Tools

#### Grunt
[![Built with Grunt](https://cdn.gruntjs.com/builtwith.png)](http://gruntjs.com/)

### Funding

#### Gittip (via Shields.io)
[![Gittip](http://img.shields.io/gittip/boennemann.svg)](https://www.gittip.com/boennemann/)

#### Flattr
[![Flattr this git repo](http://api.flattr.com/button/flattr-badge-large.png)](https://flattr.com/submit/auto?user_id=boenne&url=https://github.com/boennemann/badges&title=badges&language=&tags=github&category=software)

### Project Managment

#### Waffle
[![Stories in Ready](https://badge.waffle.io/boennemann/badges.svg?label=ready)](https://waffle.io/boennemann/badges)

### Chat

#### Gitter
[![Join the chat at https://gitter.im/jstriebel/badges](https://badges.gitter.im/Join%20Chat.svg)](https://gitter.im/jstriebel/badges)

### Generic

#### Shields.io
[![Shields.io](https://img.shields.io/badge/shields.io-ok-green.svg?style=flat)](http://shields.io/)

### For the Badge

[![forthebadge](http://forthebadge.com/badges/ages-12.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/ages-20-30.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/as-seen-on-tv.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/built-by-codebabes.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/built-by-crips.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/built-by-developers.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/built-by-hipsters.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/built-with-love.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/built-with-swag.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/certified-cousin-terio.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/certified-snoop-lion.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/certified-steve-bruhle.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/compatibility-betamax.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/compatibility-blackberry.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/compatibility-club-penguin.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/compatibility-emacs.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/compatibility-ie-6.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/compatibility-opera-4.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/contains-cat-gifs.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/designed-in-ms-paint.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/does-not-contain-msg.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/does-not-contain-treenuts.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/face-toasted.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/fo-shizzle.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/fo-sho.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/for-sharks.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/fuck-it-ship-it.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/gluten-free.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/just-plain-nasty.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/kinda-sfw.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/made-with-crayons.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/makes-people-smile.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/mom-made-pizza-rolls.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/no-ragrets.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/oooo-kill-em.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/powered-by-case-western-reserve.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/powered-by-comcast.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/powered-by-electricity.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/powered-by-jeffs-keyboard.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/powered-by-netflix.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/powered-by-oxygen.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/powered-by-water.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/powered-by-watergate.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/pretty-risque.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/reading-6th-grade-level.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/uses-badges.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/uses-css.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/uses-git.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/uses-html.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/uses-js.svg)](http://forthebadge.com)

[![forthebadge](http://forthebadge.com/badges/validated-html2.svg)](http://forthebadge.com)

### Awesome Lists

[![Awesome](https://cdn.rawgit.com/sindresorhus/awesome/d7305f38d29fed78fa85652e3a63e154dd8e8829/media/badge.svg)](https://github.com/sindresorhus/awesome)
